Index: procedure.sh
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/procedure.sh,v
retrieving revision 1.2
diff -u -r1.2 procedure.sh
--- procedure.sh	25 Oct 2004 08:18:16 -0000	1.2
+++ procedure.sh	25 Oct 2004 12:36:40 -0000
@@ -1,6 +1,13 @@
 #!/bin/sh -x
 # 0 - Prerequis!!  gcc, make, perl, gnuplot, perl::XML::Simple (optionnel)
 
+source /home/cvs/root/configure-flags.sh
+
+if [ "$CC" != "/home1/cvs/root/gcc" ];
+then echo Erreur dans le fichier de conf...;
+     exit 1;
+fi
+
 # Installation de gnuplot:
 which gnuplot
 if [ $? -eq 0 ];
@@ -39,7 +46,6 @@
 if [ "`uname -s`" = "AIX" ];
 then export PATH=/usr/vac/bin:/opt/freeware/bin:$PATH;
 export CC=cc;
-else export CC=gcc;
 fi 
 
 # 2 - Installer l environnement pour STP:
Index: STP/LDFLAGS.linux.gcc
===================================================================
RCS file: /cvsroot/nptl/tools/testsuite/STP/LDFLAGS.linux.gcc,v
retrieving revision 1.1
diff -u -r1.1 LDFLAGS.linux.gcc
--- STP/LDFLAGS.linux.gcc	21 Oct 2004 13:56:13 -0000	1.1
+++ STP/LDFLAGS.linux.gcc	25 Oct 2004 12:36:40 -0000
@@ -6,4 +6,4 @@
 #
 #For example,
 #-lpthread -D_GNU_SOURCE
--lpthread -lrt -lm -D_XOPEN_SOURCE=600
+-lpthread -lrt -lm -D_XOPEN_SOURCE=600 -Wl,-rpath,/home1/cvs/root/lib,-dynamic-linker,/home1/cvs/root/lib/ld-linux.so.2 -L/home1/cvs/root/lib -lc
